{% extends 'repeater/base.html' %}
{% block content %}
<div class="jumbotron" style="background-color: #edfcf5; margin-top: 1em; padding-top: 2em; padding-bottom: 2em;">
    <h1 class="display-4">Welcome to {{ repeater_name }}</h1>
    <p>
        <strong><i class="fas fa-broadcast-tower"></i> Transmit: </strong>{{ repeater_tx_freq }} mhz<br>
        <strong>Receive: </strong>{{ repeater_rx_freq }} mhz<br>
        <strong>Shift: </strong> {{ repeater_shift }} mhz<br>
        <strong>Tone: </strong>{{ repeater_tone }} mhz
    </p>
</div>
<div class="container">
    <div class="row">
        <div class="col-sm-5">
            {{ front_page_intro|safe }}
        </div>
        <div class="col-sm">
            <div id="map" style="height: 500px;"></div>
        </div>
        
    </div>
    <div class="row">
        <div class="col">
            <h1 class="text-center" style="margin-top: 2em;"><a href="map" style="color: #99eec6;"><i class="fas fa-map-marked-alt"></i></a></h1>
            <h2 class="text-center">Browse our QSO map</h2>
        </div>
        <div class="col">
            <h1 class="text-center" style="margin-top: 2em;"><a href="qso" style="color: #913347;"><i class="fas fa-map-marked-alt"></i></a></h1>
            <h2 class="text-center">Add a QSO</h2>
        </div>
    </div>
</div>
<script>
    mapboxgl.accessToken = '{{ mapbox_token }}';
    var map = new mapboxgl.Map({
        container: 'map', // container id
        style: 'mapbox://styles/mapbox/satellite-streets-v11', // style URL
        center: [{{ repeater_long }}, {{ repeater_lat }}], // starting position [lng, lat]
        zoom: 8 // starting zoom
    });
    var popupRepeater = new mapboxgl.Popup({offset: 5}).setHTML(
        "<h3>{{ repeater_name }} Repeater</h3><p>TX: {{ repeater_tx_freq }}mhz<br>RX: {{ repeater_rx_freq }}mhz<br>Split: {{ repeater_shift }}mhz<br>Tone: {{ repeater_tone }}hz</p>"
    );
    var markerRepeater = new mapboxgl.Marker()
        .setLngLat([{{ repeater_long }}, {{ repeater_lat }}])
        .setPopup(popupRepeater)
        .addTo(map)
        .togglePopup();
</script> 
{% endblock %}
